<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [setTeamSize](./bitburner.bladeburner.setteamsize.md)

## Bladeburner.setTeamSize() method

Set team size.

**Signature:**

```typescript
setTeamSize(type: BladeburnerActionType, name: BladeburnerActionName, size: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

type


</td><td>

[BladeburnerActionType](./bitburner.bladeburneractiontype.md)


</td><td>

Type of action.


</td></tr>
<tr><td>

name


</td><td>

[BladeburnerActionName](./bitburner.bladeburneractionname.md)


</td><td>

Name of action. Must be an exact match.


</td></tr>
<tr><td>

size


</td><td>

number


</td><td>

Number of team members to set. Must be a non-negative integer.


</td></tr>
</tbody></table>

**Returns:**

number

Number of Bladeburner team members you assigned to the specified action.

## Remarks

RAM cost: 4 GB

Set the team size for the specified Bladeburner action.

Returns the team size that was set, or -1 if the function failed.

